import java.io.File;
import java.io.IOException;

public class StartupBundle extends Startup {
	
	/*
	 * See also build.xml 'bundle-app' target
	 */
	private final String APP_BUNDLE_JAVALIB_PATH = "JViewer.app/Contents/Resources/Java";
	private final String APP_BUNDLE_VIEWER = APP_BUNDLE_JAVALIB_PATH + "/jviewer.jar";
	private final String APP_BUNDLE_WINDOWLIB_PATH = APP_BUNDLE_JAVALIB_PATH + "/window";

	@Override
	protected String getViewerJarPath(){
		return APP_BUNDLE_VIEWER;
	}

	@Override
	protected String getNativeLibraryPath(){
		/*
		String path = "unsupported";
		if( isWindows() ){
			if( is64BitWindow() )
				path = APP_BUNDLE_JAVALIB_PATH + File.pathSeparator + APP_BUNDLE_WINDOWLIB_PATH + "/w64";
			else
				path = APP_BUNDLE_JAVALIB_PATH + File.pathSeparator + APP_BUNDLE_WINDOWLIB_PATH + "/w32";
		}else if( isMac() ){
			path = APP_BUNDLE_JAVALIB_PATH;
		}
		*/
		
		String path = APP_BUNDLE_JAVALIB_PATH;
		
		System.out.println("Native Library : " + path);
		
		return path;
	}
}
